Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
datetime::DateTime::ZoneInfo Struct Reference

Time zone information (see also ZoneCfg) More...

## Public Attributes
int | id
| Time zone id.
string | name
| Time zone name.
boolean | hasDSTInfo
| `true` if the time zone has daylight saving time rules

## Detailed Description

Time zone information (see also ZoneCfg)

There are two different approaches on how to identify timezones. See the ZoneCfg description.

For timezones with non-trivial daylight saving time rules hasDSTInfo is `false`.

Definition at line 33 of file DateTime.idl.

## Member Data Documentation

## ◆ hasDSTInfo

boolean datetime::DateTime::ZoneInfo::hasDSTInfo

`true` if the time zone has daylight saving time rules

Definition at line 36 of file DateTime.idl.

## ◆ id

int datetime::DateTime::ZoneInfo::id

Time zone id.

Definition at line 34 of file DateTime.idl.

## ◆ name

string datetime::DateTime::ZoneInfo::name

Time zone name.

Definition at line 35 of file DateTime.idl.

The documentation for this struct was generated from the following file:

- DateTime.idl